class Villagers extends Actor {
  // Is the village chief dead
  boolean chief_dead;
    
  Villagers(String race_name_, String biome_name_) {
    super(race_name_, biome_name_);
    actor_name = "villagers";
    
    currentDialogue = new VillagersIntro();
    
    chief_dead = false;
  }
  
  void display() {
    super.display();
    // If all of the villagers are alive, display them all
    if (!dead && !chief_dead) {
      shape(actorShape, width*0.5,       200, 150, 150);
      shape(actorShape, width*0.5 - 200, 200, 150, 150);
      shape(actorShape, width*0.5 + 200, 200, 150, 150);
    }
    // If the chief is dead, only display two villagers
    else if (!dead && chief_dead) {
      shape(actorShape, width*0.5 - 200, 200, 150, 150);
      shape(actorShape, width*0.5 + 200, 200, 150, 150);
    }
  }
  
  void action() {
    super.action();
  }
  
  void reset() {
    currentDialogue = new VillagersIntro();
  }
  
}
