class Fairy extends Actor
{
  // A list to hold the various possible answers to the fairy's riddle:
  StringList riddleGuesses;

  int right_answer;
  
  Fairy(String race_name_, String biome_name_) {
    super(race_name_, biome_name_);
    actor_name = "fairy";

    health = 3;
    
    currentDialogue = new FairyIntro();

    // Create a list of answers for the fairy's riddle and then mix it up.
    riddleGuesses = new StringList();
    riddleGuesses.append("Bunnies!");
    riddleGuesses.append("The answer can only be time itself!");
    riddleGuesses.append("A lonesome cowboy?");
    riddleGuesses.append("Um... a river...?");
    riddleGuesses.append("I don't care about your dumb power anyway!");
    riddleGuesses.append("The moon?");
    riddleGuesses.append("Love? Sweet tender love?");
    riddleGuesses.shuffle();
  }

  void display() {
    super.display();
    // If the fairy is not dead, display its image
    if (dead == false) shape(actorShape, width/2, 200);
  }

  void action() {
    super.action();
  }
  
  void reset() {
    currentDialogue = new FairyIntro();
  }
} // class end
